summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
Diffstat (limited to 'tests')
-rwxr-xr-xtests/iscache-not-cache.script2
-rwxr-xr-xtests/setup21
2 files changed, 22 insertions, 1 deletions
diff --git a/tests/iscache-not-cache.script b/tests/iscache-not-cache.script
index c4e0e62..acfc935 100755
--- a/tests/iscache-not-cache.script
+++ b/tests/iscache-not-cache.script
@@ -16,5 +16,5 @@
set -eu
-"$SRCDIR/cachedir" iscache "$DATADIR"
+! "$SRCDIR/cachedir" iscache "$DATADIR"
diff --git a/tests/setup b/tests/setup
new file mode 100755
index 0000000..d923843
--- /dev/null
+++ b/tests/setup
@@ -0,0 +1,21 @@
+#!/bin/sh
+# Copyright 2012 Lars Wirzenius
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+set -eu
+
+find "$DATADIR" -mindepth 1 -delete
+
+